package com.haha.common.exception;


import com.haha.common.constant.IResponseCode;
import com.haha.common.constant.ResponseEnum;

/**
 * @author skyline
 * @description 业务异常
 * @date 2023-07-04 15:44
 */
public class BusinessException extends BaseException {

    private static final long serialVersionUID = 1L;

    public BusinessException(IResponseCode responseEnum) {
        super(responseEnum);
    }

    public BusinessException(IResponseCode responseEnum, Object[] args, String message) {
        super(responseEnum, args, message);
    }

    public BusinessException(IResponseCode responseEnum, Object[] args, String message, Throwable cause) {
        super(responseEnum, args, message, cause);
    }

    public BusinessException(int code, String message) {
        super(code, message);
    }

    public BusinessException(String message) {
        super(ResponseEnum.HTTP_STATUS_500.getCode(), message);
    }
}

